﻿package  
{
	import flash.events.Event;
	import flash.net.FileFilter;
	import flash.net.FileReference;
	import flash.net.FileReferenceList;
	import flash.net.URLRequest;
	
	/**
	 * ...
	 * @author ZhangYi
	 */
	public class CustomFileReferenceList extends FileReferenceList
	{
		public static const SELECT_COMPLETE:String = "selectComplete";
		private var filesArr:Array;
		
		public function CustomFileReferenceList(_url:String="") 
		{
			init();
		}
		
		private function init():void {
			addEventListener(Event.SELECT, selectHandler);
			addEventListener(Event.CANCEL, cancelHandler);
			
			filesArr = [];
		}
		
		private function selectHandler(evt:Event):void {
			var file:FileReference;
			
			for (var i:uint = 0, len:Number = fileList.length;  i < len; i++) {
				file = FileReference(fileList[i]);
				filesArr.push(file);
			}
			
			cancelHandler();
		}
		
		private function cancelHandler(evt:Event=null):void {
			dispatchEvent(new Event(CustomFileReferenceList.SELECT_COMPLETE));
		}		
		
		public function getSelectedFiles():Array {
			return filesArr || [];
		}
	}

}